Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "1caebc5f-bb55-45e0-aa51-2896df920686",
"date_start": "2026-07-11T20:15:55.6645195+00:00",
"date_end": "2026-07-11T20:15:55.6645195+00:00",
"modified_dateutc": "2026-07-11T20:15:55.6645195+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "c7c975b4-1d1a-4163-b10b-db0fb6e95228",
"user_code": "sample string 8",
"user": {
"id": "cd65e03c-3cfd-43c0-baf8-b96464972693",
"db_language_id": "bb19b779-a708-4ecb-bcab-7b0718166b33",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-07-11T20:15:55.6645195+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "cd1ff70b-c82d-4218-9ceb-c7d52abe54b9",
"sales_organization": {
"id": "c9bcb17e-9ee1-45e5-bf13-cb65ac9140ab",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "52b2dc45-92bd-4f37-8275-9b912190452e",
"db_currency_id": "4dda5a34-54f4-440c-bebf-62b74d8c00d4",
"db_language_id": "62a7963a-8f43-48e3-82c6-c524ae4d388d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-11T20:15:55.6645195+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f7ffa0d4-6d99-4244-9159-9b201c4b4199",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "0d324fc1-8aa5-438e-a122-4c6dd38e5573",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-07-11T20:15:55.6645195+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "41b7396c-1132-4cb7-a59b-e61341221038"
},
"user_unavailability_type_id": "c5d7fb83-283a-4713-8371-a1725388f846",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "2c6e3b16-3569-457a-91c0-365698addbf1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "aa2f30dc-a5f8-4147-8420-33b30485b4bd",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c9bcb17e-9ee1-45e5-bf13-cb65ac9140ab",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "52b2dc45-92bd-4f37-8275-9b912190452e",
"db_currency_id": "4dda5a34-54f4-440c-bebf-62b74d8c00d4",
"db_language_id": "62a7963a-8f43-48e3-82c6-c524ae4d388d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-11T20:15:55.6645195+00:00"
},
"modified_dateutc": "2026-07-11T20:15:55.6645195+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.